## org.eclipse.emf.ecore.util
Class FeatureMapUtil.BasicValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.FeatureMapUtil.BasicValidator

All Implemented Interfaces:
  FeatureMapUtil.Validator

Enclosing class:
  FeatureMapUtil

    public static class FeatureMapUtil.BasicValidator

extends java.lang.Object
implements FeatureMapUtil.Validator

Nested Class Summary
`protected class` `FeatureMapUtil.BasicValidator.Cache`

Field Summary
`protected static java.util.List<java.lang.String>` `ANY_WILDCARD`
`protected FeatureMapUtil.BasicValidator.Cache` `cache`
`protected EClass` `containingClass`
`protected EStructuralFeature` `eStructuralFeature`
`protected java.util.List<EStructuralFeature>` `groupMembers`
`protected boolean` `isElement`
`protected java.lang.String` `name`
`protected java.util.List<java.lang.String>` `wildcards`

Constructor Summary
`FeatureMapUtil.BasicValidator(EClass containingClass, EStructuralFeature eStructuralFeature)`

Method Summary
`boolean` `isIncluded(EStructuralFeature feature)`
`boolean` `isValid(EStructuralFeature feature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANY_WILDCARD

    protected static final java.util.List<java.lang.String> ANY_WILDCARD

### containingClass

    protected EClass containingClass

### eStructuralFeature

    protected EStructuralFeature eStructuralFeature

### groupMembers

    protected java.util.List<EStructuralFeature> groupMembers

### wildcards

    protected java.util.List<java.lang.String> wildcards

### name

    protected java.lang.String name

### isElement

    protected boolean isElement

### cache

    protected FeatureMapUtil.BasicValidator.Cache cache

Constructor Detail

### FeatureMapUtil.BasicValidator

    public FeatureMapUtil.BasicValidator(EClass containingClass,
                                         EStructuralFeature eStructuralFeature)

Method Detail

### isValid

    public boolean isValid(EStructuralFeature feature)

  Specified by:
    `isValid` in interface `FeatureMapUtil.Validator`

### isIncluded

    public boolean isIncluded(EStructuralFeature feature)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.